Bug 445696 - scsi_id does not return WWID for /dev/sda with aacraid driver [NEEDINFO]
scsi_id does not return WWID for /dev/sda with aacraid driver
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: udev (Show other bugs)
5.1
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Michal Sekletar
qe-baseos-daemons
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2008-05-08 11:48 EDT by Allan Wilson
Modified: 2017-04-04 16:40 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-04 16:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
harald: needinfo? (allan.wilson)


Attachments (Terms of Use)

  None (edit)
Description Allan Wilson 2008-05-08 11:48:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
Unable to obtain WWID of internal scsi drive /dev/sda.  Need to black list this scsi device to setup multipathing.

Hardware is an IBM x3650 server.

Also, for some reason dmesg output shows that /dev/sda is a removable disk?

/dev/sda is my internal scsi device:
[root@3650-9 ~]# fdisk -l

Disk /dev/sda: 73.2 GB, 73283928064 bytes
255 heads, 63 sectors/track, 8909 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14        8909    71457120   8e  Linux LVM


dmesg output:

Adaptec aacraid driver 1.1-5[2437]-mh4
ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 17 (level, low) -> IRQ 169
PCI: Setting latency timer of device 0000:04:00.0 to 64
AAC0: kernel 5.2-0[15411] Oct 11 2007
AAC0: monitor 5.2-0[15411]
AAC0: bios 5.2-0[15411]
AAC0: serial 59F2360
AAC0: 64bit support enabled.
AAC0: 64 Bit DAC enabled
scsi0 : ServeRAID
  Vendor: ServeRA   Model: 8k-l Volume       Rev: V1.0
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 143132672 512-byte hdwr sectors (73284 MB)
sda: Write Protect is off
sda: Mode Sense: 06 00 10 00
SCSI device sda: drive cache: write back w/ FUA
SCSI device sda: 143132672 512-byte hdwr sectors (73284 MB)
sda: Write Protect is off
sda: Mode Sense: 06 00 10 00
SCSI device sda: drive cache: write back w/ FUA
 sda: sda1 sda2
sd 0:0:0:0: Attached scsi removable disk sda
  Vendor: IBM-ESXS  Model: MAY2073RC         Rev: T107
  Type:   Direct-Access                      ANSI SCSI revision: 05
  Vendor: IBM-ESXS  Model: MAY2073RC         Rev: T107
  Type:   Direct-Access                      ANSI SCSI revision: 05
usb 1-1: device not accepting address 2, error -71
usb 1-1: new low speed USB device using uhci_hcd and address 4
usb 1-1: configuration #1 chosen from 1 choice


Version-Release number of selected component (if applicable):
2.6.18-53.el5

How reproducible:
Always


Steps to Reproduce:
1a. /sbin/scsi_id -g -u -s /block/sda
or
1b. multipath


Actual Results:
strace /sbin/scsi_id -g -u -s /block/sda:

open("/dev/tmp-scsi-maj8-min0-11051", O_RDONLY|O_NONBLOCK) = 3
ioctl(3, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 01, 00, 00, fe, 00], mx_sb_len=32, iovec_count=0, dxfer_len=254, timeout=5000, flags=0, data[254]=["\0\0\2\2\37\0\0002ServeRA 8k-l Volume     "...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
close(3)                                = 0
unlink("/dev/tmp-scsi-maj8-min0-11051") = 0
exit_group(1)                           = ?

multipath:

error calling out /sbin/scsi_id -g -u -s /block/sda


Expected Results:
output of scsi_id should've been returned.  This works on my fujitsu box with RHEL5.1.

Example:
[root@fuji10 sda]# /sbin/scsi_id -g -u -s /block/sda
SFUJITSU_MAS3367NC_A0D4P54020E0



Additional info:
Comment 1 Mike Christie 2008-05-08 12:06:04 EDT
scsi-target-utils is for the scsi target layer and has nothing to do with
scsi_id. I believe scsi_id is shipped from udev's utils. 

udev guys if this is not yours, let me know. I will ask some of the other scsi guys.
Comment 5 Harald Hoyer 2011-02-17 09:03:11 EST
Sorry to answer this late..

(In reply to comment #0)
> strace /sbin/scsi_id -g -u -s /block/sda:
> 
> open("/dev/tmp-scsi-maj8-min0-11051", O_RDONLY|O_NONBLOCK) = 3
> ioctl(3, SG_IO, {'S', SG_DXFER_FROM_DEV, cmd[6]=[12, 01, 00, 00, fe, 00], mx_sb_len=32, iovec_count=0, dxfer_len=254, timeout=5000, flags=0, data[254]=["\0\0\2\2\37\0\0002ServeRA 8k-l Volume     "...], status=00, masked_status=00, sb[0]=[], host_status=0, driver_status=0, resid=0, duration=0, info=0}) = 0
> close(3)                                = 0
> unlink("/dev/tmp-scsi-maj8-min0-11051") = 0
> exit_group(1)                           = ?

Can you run /sbin/scsi_id -g -u -s -v /block/sda ?
Comment 6 popgo 2012-09-03 20:55:22 EDT
In RHEL 5.6, there isnot a block directory (/block) in ROOT directory (/). How to use scsi_id script to indentify wwid?
Comment 7 Harald Hoyer 2012-09-06 06:41:56 EDT
(In reply to comment #6)
> In RHEL 5.6, there isnot a block directory (/block) in ROOT directory (/).
> How to use scsi_id script to indentify wwid?

"/block/sda" means the path in the sysfs and is translated to "/sys/block/sda"
Comment 8 Harald Hoyer 2014-01-31 07:02:13 EST
still waiting for the verbose output of scsi_id
Comment 10 Chris Williams 2017-04-04 16:40:51 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.